//#version 100 es

varying highp vec2 Texcoord0;

uniform highp mat4 matInverse;

uniform sampler2D Texture0;

void main()
{
    highp vec4 coordSrc = vec4(Texcoord0.x * 2.0 - 1.0, Texcoord0.y * 2.0 - 1.0, 0.0, 1.0);
    
    highp vec4 coordDst = matInverse * coordSrc;
    
    highp vec2 texcoord = vec2((coordDst.x + 1.0) * 0.5, (coordDst.y + 1.0) * 0.5); // computed
    
    gl_FragColor = texture2D(Texture0, texcoord);
}
