//#version 100 es

varying highp vec2 Texcoord0;

uniform highp vec4 Color;

void main()
{
    highp vec2 loc;
    
    loc.x = Texcoord0.x * 2.0 - 1.0;
    loc.y = Texcoord0.y * 2.0 - 1.0;
    
    highp float offset = loc.x * loc.x + loc.y * loc.y;
    
    if(offset > 1.0)
    {
        gl_FragColor = vec4(0);
    }
    else
    {
        gl_FragColor = Color;
    }
}
