varying highp vec2  Texcoord0;

uniform sampler2D   LowResMask;
uniform sampler2D   HighResMask;

uniform bool        Add;

void main()
{
    highp float value0 = texture2D(LowResMask, Texcoord0).r;
    highp float value1 = texture2D(HighResMask, Texcoord0).r;
    
    highp float value = value1;
    
    if(Add)
    {
        value = min(value + value0, 1.0);
    }
    else
    {
        value = max(value - value0, 0.0);
    }
    
    // value = ceil(value);
    
    gl_FragColor = vec4(value, value, value, value);
}